> For the complete documentation index, see [llms.txt](https://milonics.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://milonics.gitbook.io/api-documentation/getting-started/environment.md).

# Environment

### Environment

Because we believe that “Whatever is worth doing at all, is worth doing well.”, we have provided two environments you can use for prototyping, testing and integrating Insurpass into your platform; Sandbox and Production. With your API key, you can create an application for your Production environment (live mode) and another for your Sandbox (test mode). Insurpass makes use of the same API endpoint for both environments, the only difference is the keys used when calling the API.

| Environment | Purpose                                                                                                                                                                                                                                                          | Base URL                                                                                                                                     |
| ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| Sandbox     | This is your training area, it enables you to thoroughly test Insurpass' API calls and pull test data from all endpoints before going live on your website or application. Be rest assured that when testing in this environment, no real data is tampered with. | [https://sandbo](https://sandbox.insurpass.com/api)[x.](https://sandbox.insurpass.com/api)[insurpass.com](https://sandbox.insurpass.com/api) |
| Production  | This is the environment you want to use once you are ready to use Insurpass' API to integrate into your application.                                                                                                                                             | <p><a href="https://live.insurpass.com/api"><https://live>.</a></p><p><a href="https://live.insurpass.com/api">insurpass.com</a></p>         |

{% hint style="success" %}
*We really recommend that you start creating your integration in the Sandbox environment.*
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/getting-started/environment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
